SDL_AsyncIOOutcome Struct Reference

`#include <SDL_asyncio.h>`

## Data Fields

SDL_AsyncIO * | asyncio
SDL_AsyncIOTaskType | type
SDL_AsyncIOResult | result
void * | buffer
Uint64 | offset
Uint64 | bytes_requested
Uint64 | bytes_transferred
void * | userdata

## Detailed Description

Information about a completed asynchronous I/O request.

Since
  This struct is available since SDL 3.2.0.

Definition at line 155 of file SDL_asyncio.h.

## Field Documentation

## asyncio

SDL_AsyncIO* SDL_AsyncIOOutcome::asyncio

what generated this task. This pointer will be invalid if it was closed!

Definition at line 157 of file SDL_asyncio.h.

## buffer

void* SDL_AsyncIOOutcome::buffer

buffer where data was read/written.

Definition at line 160 of file SDL_asyncio.h.

## bytes_requested

Uint64 SDL_AsyncIOOutcome::bytes_requested

number of bytes the task was to read/write.

Definition at line 162 of file SDL_asyncio.h.

## bytes_transferred

Uint64 SDL_AsyncIOOutcome::bytes_transferred

actual number of bytes that were read/written.

Definition at line 163 of file SDL_asyncio.h.

## offset

Uint64 SDL_AsyncIOOutcome::offset

offset in the SDL_AsyncIO where data was read/written.

Definition at line 161 of file SDL_asyncio.h.

## result

SDL_AsyncIOResult SDL_AsyncIOOutcome::result

the result of the work (success, failure, cancellation).

Definition at line 159 of file SDL_asyncio.h.

## type

SDL_AsyncIOTaskType SDL_AsyncIOOutcome::type

What sort of task was this? Read, write, etc?

Definition at line 158 of file SDL_asyncio.h.

## userdata

void* SDL_AsyncIOOutcome::userdata

pointer provided by the app when starting the task

Definition at line 164 of file SDL_asyncio.h.

The documentation for this struct was generated from the following file:

- SDL_asyncio.h